///////////////////////////////////////////////////////////////////////////////
//RevHead_Start                                                              //
//                                                                           //
// Project Details                                                           //
// ---------------                                                           //
//Project Name:    xtermsu                                                   //
//Project Version: 0.6.0                                                     //
//Copyright Owner: David M. Balean <linprogs@exemail.com.au>                 //
//Copyright Notice:                                                          //
// This program is free software; you can redistribute it and/or modify it   //
// under the terms of the GNU General Public License as published by         //
// the Free Software Foundation, either version 3 of the License or,         //
// (at your option) any later version.                                       //
// This program is distributed in the hope that it will be useful,           //
// but WITHOUT ANY WARRANTY; without even the implied warranty of            //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                      //
// See the GNU General Public License for more details.                      //
// You should have received a copy of the GNU General Public License         //
// along with this program. If not, see <http://www.gnu.org/licenses/>.      //
//                                                                           //
//Project Date:    Tuesday 12th May 2009                                     //
//                                                                           //
//Start DateStamp: 29-Apr-2009 10.42.00 -36000 0                             //
//                                                                           //
//Contact:                                                                   //
// email: linprogs@balean.net                                                //
// snail: D.M. Balean, 44 Wyong Road, Killarney Vale, N.S.W. 2261, AUSTRALIA //
//                                                                           //
//Project Summary:                                                           //
// A simple xterm frontend for the su command.                               //
// The user is allowed three attempts.                                       //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////
//                                                                           //
//This File:       xtermsu.h                                                 //
//Author:          David M. Balean <linprogs@balean.net>                     //
//DateStamp:       12-May-2009 20.42.53 -36000 0                             //
//                                                                           //
//File Summary:                                                              //
// Header file                                                               //
//                                                                           //
//RevHead_End                                                                //
///////////////////////////////////////////////////////////////////////////////
#ifndef __XTERMSU_H__
#define __XTERMSU_H__

#include <iostream>
#include <string>

using namespace std;


class Xtermsu
{
public:
  Xtermsu(void);

  void su(int argc, char *argv[], int trial);

  int read_message(void);

  string get_file(char *command);
  int new_process(const char *command);

  string itos(int n);

  bool failed;

private:
  string match;
  string ps_su_command;
  string su_command;
  string command_x;


protected:

};


#endif // __XTERMSU_H__